=== debian/changelog ===
ginkgocadx (2.4.1.1-2) unstable; urgency=low

  * debian/patches/01_no_msse.patch: Do not build with -msse flag
    Closes: #630852

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jun 2011 08:10:00 +0200

ginkgocadx (2.4.1.1-1) unstable; urgency=low

  * Initial release (Closes: #628106)

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2011 08:09:26 +0200
