=== debian/watch ===
version=3
http://sf.net/ginkgocadx/ginkgocadx-(.*)\.tgz

# http://sf.net/ginkgocadx/Ginkgo_CADx-(.*)_src\.tgz
